Search Tickets (Passthrough)
curl --request GET \
--url https://api.leen.dev/v1/itsm/passthrough/tickets/search \
--header 'X-API-KEY: <api-key>' \
--header 'X-CONNECTION-ID: <api-key>'import requests
url = "https://api.leen.dev/v1/itsm/passthrough/tickets/search"
headers = {
"X-API-KEY": "<api-key>",
"X-CONNECTION-ID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-KEY': '<api-key>', 'X-CONNECTION-ID': '<api-key>'}
};
fetch('https://api.leen.dev/v1/itsm/passthrough/tickets/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"summary": "<string>",
"vendor_id": "<string>",
"assignee_display_name": "<string>",
"assignee_vendor_id": "<string>",
"issue_type_id": "<string>",
"issue_type_name": "<string>",
"priority": "<string>",
"project_key": "<string>",
"status": "<string>"
}
],
"next_cursor": "<string>",
"previous_cursor": "<string>"
}{
"code": "<string>",
"detail": [
{}
],
"message": "<string>",
"type": "<string>"
}{
"code": "<string>",
"detail": [
{}
],
"message": "<string>",
"type": "<string>"
}{
"code": "<string>",
"detail": [
{}
],
"message": "<string>",
"type": "<string>"
}{
"code": "<string>",
"detail": [
{}
],
"message": "<string>",
"type": "<string>"
}{
"code": "<string>",
"detail": [
{}
],
"message": "<string>",
"type": "<string>"
}{
"code": "<string>",
"detail": [
{}
],
"message": "<string>",
"type": "<string>"
}Passthrough
Search Tickets (Passthrough)
Search tickets using vendor-native query syntax and pagination. Jira: use jql (JQL string) and cursor (keyset pagination). ServiceNow: use table (incident or problem), query (sysparm_query), and offset (offset pagination).
GET
/
itsm
/
passthrough
/
tickets
/
search
Search Tickets (Passthrough)
Query Parameters
Jira only. JQL filter string, max 5000 chars.
Maximum string length:
5000Jira only. Opaque pagination token from next_cursor in a previous response.
ServiceNow only. Table to query.
Available options:
incident, problem ServiceNow only. sysparm_query filter string.
Maximum string length:
5000Page size.
Required range:
1 <= x <= 100ServiceNow only. Pagination offset.
Required range:
x >= 0Response
Successful Response
- KeySetPaginatedResponse[PassthroughTicket]
- OffsetPaginatedResponse[PassthroughTicket]
The records on this page.
Show child attributes
Show child attributes
Opaque position of the next page. Pass it back as cursor to continue; null when this is the last page.
Opaque position of the previous page, for walking backwards. Null on the first page.